Subject: [bug#27893] [PATCH] gnu: julia: Work around some test failures related to libgit2.

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 18 Oct 2017 23:15:40 +0200

Leo Famulari <[email-masked]> writes:

> Has anyone got the Julia test suite to pass at all? Spill the beans! :)

I have, repeatedly, but it’s been a while since I’ve built Julia
locally.  The tests are a bit memory-hungry if I recall correctly, but
they did pass on my workstation in the office.  I always made sure that
the tests pass and the few known failing tests were disabled.

About this patch: I’d prefer if this version of libgit were a private
variable in the julia module, just like libunwind-for-julia and
libuv-julia.

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net